A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
The drivemcp.googleapis.com MCP server has the following tools:
| MCP Tools | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| create_file |
Call this tool to create or upload a File to Google Drive. If uploading a file, the content needs to be base64 encoded into the Returns a single File object upon successful creation. The following Google Drive first-party mime types can be created without providing content:
By default, the following conversions will be made for the following mime types:
To disable conversions for first-party mime types, set Folders can be created by setting the mime type to |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| download_file_content |
Call this tool to download the content of a Drive file as raw binary data (bytes). If the file is a Google Drive first-party mime type, the If the file is not found, try using other tools like If the user wants a natural language representation of their Drive content, use the |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| get_file_metadata |
Call this tool to find general metadata about a user's Drive file. If the file is not found, try using other tools like |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| get_file_permissions | Call this tool to list the permissions of a Drive File. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| list_recent_files |
Call this tool to find recent files for a user specified a sort order. Default sort order is Supported sort orders are:
The default page size is 10. Utilize |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| read_file_content |
Call this tool to fetch a natural language representation of a Drive file. The file content may be incomplete for very large files. The text representation will change over time, so don't make assumptions about the particular format of the text returned by this tool. Supported Mime Types:
If the file is not found, try using other tools like |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| search_files |
Call this tool to search for Drive files given a structured query. The A query string contains the following three parts:
Query TermsThe following table lists valid query terms with their descriptions:
Query OperatorsThe following table lists valid query operators:
Some examples of queries include:
Utilize |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://drivemcp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |